# Class Mandrill_Inbound

Located at Mandrill/Inbound.php

Methods summary
`public` | # `__construct( `Mandrill` $master )`

`public array`

# `domains( )`

List the domains that have been configured for inbound delivery

List the domains that have been configured for inbound delivery

#### Returns

`array`
the inbound domains associated with the account - return[] struct the individual domain info - domain string the domain name that is accepting mail - created_at string the date and time that the inbound domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - valid_mx boolean true if this inbound domain has successfully set up an MX record to deliver mail to the Mandrill servers

`public struct`

# `addDomain( string $domain )`

Add an inbound domain to your account

Add an inbound domain to your account

#### Parameters

$domain
  `string`
  $domain a domain name

#### Returns

`struct`
information about the domain - domain string the domain name that is accepting mail - created_at string the date and time that the inbound domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - valid_mx boolean true if this inbound domain has successfully set up an MX record to deliver mail to the Mandrill servers

`public struct`

# `checkDomain( string $domain )`

Check the MX settings for an inbound domain. The domain must have already been added with the add-domain call

Check the MX settings for an inbound domain. The domain must have already been added with the add-domain call

#### Parameters

$domain
  `string`
  $domain an existing inbound domain

#### Returns

`struct`
information about the inbound domain - domain string the domain name that is accepting mail - created_at string the date and time that the inbound domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - valid_mx boolean true if this inbound domain has successfully set up an MX record to deliver mail to the Mandrill servers

`public struct`

# `deleteDomain( string $domain )`

Delete an inbound domain from the account. All mail will stop routing for this domain immediately.

Delete an inbound domain from the account. All mail will stop routing for this domain immediately.

#### Parameters

$domain
  `string`
  $domain an existing inbound domain

#### Returns

`struct`
information about the deleted domain - domain string the domain name that is accepting mail - created_at string the date and time that the inbound domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - valid_mx boolean true if this inbound domain has successfully set up an MX record to deliver mail to the Mandrill servers

`public array`

# `routes( string $domain )`

List the mailbox routes defined for an inbound domain

List the mailbox routes defined for an inbound domain

#### Parameters

$domain
  `string`
  $domain the domain to check

#### Returns

`array`
the routes associated with the domain - return[] struct the individual mailbox route - id string the unique identifier of the route - pattern string the search pattern that the mailbox name should match - url string the webhook URL where inbound messages will be published

`public struct`

# `addRoute( string $domain, string $pattern, string $url )`

Add a new mailbox route to an inbound domain

Add a new mailbox route to an inbound domain

#### Parameters

$domain
  `string`
  $domain an existing inbound domain
$pattern
  `string`
  $pattern the search pattern that the mailbox name should match
$url
  `string`
  $url the webhook URL where the inbound messages will be published

#### Returns

`struct`
the added mailbox route information - id string the unique identifier of the route - pattern string the search pattern that the mailbox name should match - url string the webhook URL where inbound messages will be published

`public struct`

# `updateRoute( string $id, string $pattern = null, string $url = null )`

Update the pattern or webhook of an existing inbound mailbox route. If null is provided for any fields, the values will remain unchanged.

Update the pattern or webhook of an existing inbound mailbox route. If null is provided for any fields, the values will remain unchanged.

#### Parameters

$id
  `string`
  $id the unique identifier of an existing mailbox route
$pattern
  `string`
  $pattern the search pattern that the mailbox name should match
$url
  `string`
  $url the webhook URL where the inbound messages will be published

#### Returns

`struct`
the updated mailbox route information - id string the unique identifier of the route - pattern string the search pattern that the mailbox name should match - url string the webhook URL where inbound messages will be published

`public struct`

# `deleteRoute( string $id )`

Delete an existing inbound mailbox route

Delete an existing inbound mailbox route

#### Parameters

$id
  `string`
  $id the unique identifier of an existing route

#### Returns

`struct`
the deleted mailbox route information - id string the unique identifier of the route - pattern string the search pattern that the mailbox name should match - url string the webhook URL where inbound messages will be published

`public array`

# `sendRaw( string $raw_message, array|null $to = null, string $mail_from = null, string $helo = null, string $client_address = null )`

Take a raw MIME document destined for a domain with inbound domains set up, and send it to the inbound hook exactly as if it had been sent over SMTP

Take a raw MIME document destined for a domain with inbound domains set up, and send it to the inbound hook exactly as if it had been sent over SMTP

#### Parameters

$raw_message
  `string`
  $raw_message the full MIME document of an email message
$to
  `array|null`
  $to optionally define the recipients to receive the message - otherwise we'll use the To, Cc, and Bcc headers provided in the document - to[] string the email address of the recipient
$mail_from
  `string`
  $mail_from the address specified in the MAIL FROM stage of the SMTP conversation. Required for the SPF check.
$helo
  `string`
  $helo the identification provided by the client mta in the MTA state of the SMTP conversation. Required for the SPF check.
$client_address
  `string`
  $client_address the remote MTA's ip address. Optional; required for the SPF check.

#### Returns

`array`
an array of the information for each recipient in the message (usually one) that matched an inbound route - return[] struct the individual recipient information - email string the email address of the matching recipient - pattern string the mailbox route pattern that the recipient matched - url string the webhook URL that the message was posted to